<?php

namespace Pinpoint\FeaturesManager\Model;

/**
 * @method \Pinpoint\FeaturesManager\Model\ResourceModel\FeatureTranslation getResource()
 * @method \Pinpoint\FeaturesManager\Model\ResourceModel\FeatureTranslation\Collection getCollection()
 */
class FeatureTranslation extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\FeaturesManager\Api\Data\FeatureTranslationInterface,
    \Magento\Framework\DataObject\IdentityInterface
{
    const CACHE_TAG = 'pinpoint_featuresmanager_featuretranslation';
    protected $_cacheTag = 'pinpoint_featuresmanager_featuretranslation';
    protected $_eventPrefix = 'pinpoint_featuresmanager_featuretranslation';

    protected function _construct()
    {
        $this->_init('Pinpoint\FeaturesManager\Model\ResourceModel\FeatureTranslation');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}